Skip to main content
POST
Get Invoice List

Endpoint Overview

POST https://api.unibee.dev/merchant/invoice/list Get invoice list

Authorization

All UniBee Merchant API requests require authentication via API key.

Parameters

Parameters for this endpoint are listed below. The schema is also shown in the Try it panel.

Request body


Request examples

cURL

Sandbox


Response

Success responses return a JSON envelope with code, data, message, redirect, and requestId. code 0 indicates success.

Error handling

When code in the response body is non-zero, check message for details. Use requestId when contacting support.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json

Get invoice list

amountEnd
integer<*int64>

The filter end amount of invoice

amountStart
integer<*int64>

The filter start amount of invoice

count
integer<int>

Count By Page

createTimeEnd
integer<int64>

CreateTimeEnd,UTC timestamp,seconds

createTimeStart
integer<int64>

CreateTimeStart,UTC timestamp,seconds

currency
string<string>

The currency of invoice

deleteInclude
boolean<bool>

Deleted Involved,Need Admin Permission

firstName
string<string>

The firstName of invoice

gatewayIds
integer<int64>[]

GatewayIds, Search Filter GatewayIds

lastName
string<string>

The lastName of invoice

page
integer<int>

Page, Start 0

reportTimeEnd
integer<int64>

ReportTimeEnd,UTC timestamp,seconds

reportTimeStart
integer<int64>

ReportTimeStart,UTC timestamp,seconds

searchKey
string<string>

Search InvoiceName|Email|ProductName

sendEmail
string<string>

The filter email of invoice

sortField
string<string>

Filter,em. invoice_id|gmt_create|gmt_modify|period_end|total_amount,Default gmt_modify

sortType
string<string>

Sort,asc|desc,Default desc

status
integer<int>[]

The status of invoice, 1-pending|2-processing|3-paid | 4-failed | 5-cancelled

type
integer<*int>

invoice Type, 0-payment, 1-refund

userId
integer<int64>

The filter userid of invoice

Response

200 - application/json
code
integer<int>
data
object
merchantId
integer<int64>
message
string<string>
redirect
string<string>
requestId
string<string>